Avatar of Masasomi
Masasomi
 asked on

Centos 6.3 MySQL 5.5 Conflict when installing crontab

Created a clean install of Centos 6.3 and using Zend Server PHP and MySQL 5.5.

Crontab not available so tried to install cron but ran into following conflicts.

Please advise.

sudo yum -y install cronie cronie-anacron

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.vooservers.com
 * extras: mirrors.vooservers.com
 * updates: mirrors.vooservers.com
drivesrvr                                                             |  951 B     00:00    
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cronie.x86_64 0:1.4.4-7.el6 will be installed
--> Processing Dependency: /usr/sbin/sendmail for package: cronie-1.4.4-7.el6.x86_64
---> Package cronie-anacron.x86_64 0:1.4.4-7.el6 will be installed
--> Processing Dependency: crontabs for package: cronie-anacron-1.4.4-7.el6.x86_64
--> Running transaction check
---> Package crontabs.noarch 0:1.10-33.el6 will be installed
---> Package postfix.x86_64 2:2.6.6-2.2.el6_1 will be installed
--> Processing Dependency: mysql-libs for package: 2:postfix-2.6.6-2.2.el6_1.x86_64
--> Running transaction check
---> Package mysql-libs.x86_64 0:5.1.66-2.el6_3 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================
 Package                 Arch            Version                      Repository        Size
=============================================================================================
Installing:
 cronie                  x86_64          1.4.4-7.el6                  base              70 k
 cronie-anacron          x86_64          1.4.4-7.el6                  base              29 k
Installing for dependencies:
 crontabs                noarch          1.10-33.el6                  base              10 k
 mysql-libs              x86_64          5.1.66-2.el6_3               updates          1.2 M
 postfix                 x86_64          2:2.6.6-2.2.el6_1            base             2.0 M

Transaction Summary
=============================================================================================
Install       5 Package(s)

Total size: 3.4 M
Installed size: 14 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/share/mysql/czech/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/danish/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/dutch/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/english/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/estonian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/french/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/german/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/greek/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/italian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/japanese/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/korean/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/polish/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/romanian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/russian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/serbian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/slovak/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/spanish/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/swedish/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64
  file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-libs-5.1.66-2.el6_3.x86_64 conflicts with file from package MySQL-server-5.5.28-1.el6.x86_64

Error Summary
-------------
Linux

Avatar of undefined
Last Comment
Masasomi

8/22/2022 - Mon
SOLUTION
woolmilkporc

THIS SOLUTION ONLY AVAILABLE TO MEMBERS.
View this solution by signing up for a free trial.
Members can start a 7-Day free trial and enjoy unlimited access to the platform.
See Pricing Options
Start Free Trial
GET A PERSONALIZED SOLUTION
Ask your own question & get feedback from real experts
Find out why thousands trust the EE community with their toughest problems.
Masasomi

ASKER
What is the most recent MySQL package that allows Crontab and Postfix to work - 5.1?
Masasomi

ASKER
I've requested that this question be closed as follows:

Accepted answer: 0 points for Masasomi's comment #a38714614

for the following reason:

Fast response.
woolmilkporc

The newest version including the compatibility libraries is  5.5.29:

http://dev.mysql.com/downloads/mysql/5.5.html#downloads

I'll object to your close request because the comment you're going to accept (your own one,  https://www.experts-exchange.com/OS/Linux/Q_27975507.html#a38714614 ) is not a solution, but a follow-up question.
This is the best money I have ever spent. I cannot not tell you how many times these folks have saved my bacon. I learn so much from the contributors.
rwheeler23
woolmilkporc

The comment the asker is willing to accept

https://www.experts-exchange.com/OS/Linux/Q_27975507.html#a38714614

is not an answer but a follow up question.
_alias99

I've requested that this question be closed as follows:

Accepted answer: 0 points for Masasomi's comment #a38714632

for the following reason:

All,
 
Following an 'Objection' by woolmilkporc (at https://www.experts-exchange.com/R_14863.html) to the intended closure of this question, it has been reviewed by at least one Moderator and is being closed as recommended by the Expert.
 
At this point I am going to re-start the auto-close procedure.
 
Thank you,
 
_alias99
Community Support Moderator
woolmilkporc

Sorry, _alias99,

but I think you misunderstood the link I posted in my objection.

This link was meant to point you to the comment which the asker was going to accept (probably) erroneously.

If I'm supposed to recommend accepting an answer I'd of course suggest this one (my answer):
https://www.experts-exchange.com/OS/Linux/Q_27975507.html#a38713811

Sorry for the confusion,

best wishes

woolmilkporc
⚡ FREE TRIAL OFFER
Try out a week of full access for free.
Find out why thousands trust the EE community with their toughest problems.
Masasomi

ASKER
Thankyou woolmilkporc,


_alias99 please stop the auto closure procedure.

I had only meant to post a comment and not close the case.
Will try and install http://dev.mysql.com/downloads/mysql/5.5.html#downloads client to determine if it fixes the problem.  It not only prevents install of cron but also a conflict when installing postfix.  I would prefer not to role back to MySQL 5.1 but need bot cron and postfix installed and running.

Regards,

Masasomi
ASKER CERTIFIED SOLUTION
woolmilkporc

THIS SOLUTION ONLY AVAILABLE TO MEMBERS.
View this solution by signing up for a free trial.
Members can start a 7-Day free trial and enjoy unlimited access to the platform.
See Pricing Options
Start Free Trial
GET A PERSONALIZED SOLUTION
Ask your own question & get feedback from real experts
Find out why thousands trust the EE community with their toughest problems.
woolmilkporc

Do you need more assistance on this? Any uncertainties?
Masasomi

ASKER
Woolmilkporc,

The installation of the 5.5.29 Shared compatibility libraries has solved the problem.  i have been able to install crontab and postfix.  I downloaded MySQL 5.5.29 in preparation but have not found a need to update yet.

I am testing the system as is to ensure no further issues.

Thanks for your help.

Masasomi.
Your help has saved me hundreds of hours of internet surfing.
fblack61